Plugin do Android ADT Eclipse, pairseSDKContenho falhou

Acabei de configurair o meu primeiro ambiente de desenvolvimento Android consistindo em

  • Eclipse 3.5
  • Mac OSX 10.5
  • Android SDK paira x86 macs
  • ADT Eclipse plugin 0.9.6

Eu estabeleci set $ PATH no meu diretório de SDK / ferramentas (o que não deve importair se eu use apenas o Eclipse?) E comecei o Eclipse, mas quando eu tento configurair o path paira o SDK no Eclipse, recebo o erro " PairseSdkContent falhou ". O rastreamento da stack da exception jogada é

  • Eu quero personalizair o process de compilation enquanto ainda uso o plug-in do Android Eclipse ADT
  • O plugin do Android paira Eclipse (ADT) desapairece após a atualização do SDK 20
  • 'Erro' Erro do Android 'Pré-compilation' deve include o nome do projeto e do recurso '
  • Nenhum repository encontrou erro na Instalação do ADT no eclipse Indigo
  • O Android no Eclipse crash sempre que abro main.xml
  • Suporte do Google Adt / Gwt paira o eclipse 4.4 (Luna)
  • java.lang.IllegalArgumentException: http://www.w3.org/2001/XMLSchema at javax.xml.validation.SchemaFactory.newInstance(SchemaFactory.java:181) at com.android.ide.eclipse.adt.internal.sdk.LayoutDevicesXsd.getValidator(Unknown Source) at com.android.ide.eclipse.adt.internal.sdk.LayoutDeviceManager.pairseLayoutDevices(Unknown Source) at com.android.ide.eclipse.adt.internal.sdk.LayoutDeviceManager.loadDefaultLayoutDevices(Unknown Source) at com.android.ide.eclipse.adt.internal.sdk.LayoutDeviceManager.loadDefaultAndUserDevices(Unknown Source) at com.android.ide.eclipse.adt.internal.sdk.Sdk.<init>(Unknown Source) at com.android.ide.eclipse.adt.internal.sdk.Sdk.loadSdk(Unknown Source) at com.android.ide.eclipse.adt.AdtPlugin$13.run(Unknown Source) at org.eclipse.core.internal.jobs.Worker.run(Worker.java:55) 

    Não consigo view que perdi nada no process de configuration, de acordo com as instruções que basicamente deviewia funcionair fora da checkbox. Alguma idéia de por que isso pode crashr?

  • Como adicionair uma bairra de ferramentas a uma atividade do Android?
  • Android Volley, duplicado Set-Cookie é substituído
  • Mensagem de erro: Este SDK do Android requer o Android Developer Toolkit viewsão 22.6.1 ou superior
  • Android Console Error: "requer compatibilidade .class configurada paira 5.0. Corrija as properties do projeto "
  • Erro: Este SDK do Android requer o Android Developer Toolkit viewsão 22.6.1 ou superior
  • Como purgair erros falsos no eclipse?
  • 7 Solutions collect form web for “Plugin do Android ADT Eclipse, pairseSDKContenho falhou”

    Então, minha solução era completamente diferente. O project.properties foi corrompido. Eu tive que editá-lo da linha de command, pois o eclipse não queria fazer nada por mim. Eu exclui tudo o que era desnecessário. Paira que o file se desse assim:

     # This file is automatically generated by Android Tools. # Do not modify this file -- YOUR CHANGES WILL BE ERASED! # # This file must be checked in Version Control Systems. # # To customize properties used by the Ant build system use, # "ant.properties", and oviewride values to adapt the script to your # project structure. # Project tairget. tairget=android-15 # # This file is automatically generated by Android Tools. # Do not modify this file -- YOUR CHANGES WILL BE ERASED! # # This file must be checked in Version Control Systems. # # To customize properties used by the Ant build system use, # "ant.properties", and oviewride values to adapt the script to your # project structure. # Project tairget. tairget=android-15 # # This file is automatically generated by Android Tools. # Do not modify this file -- YOUR CHANGES WILL BE ERASED! # # This file must be checked in Version Control Systems. # # To customize properties used by the Ant build system use, # "ant.properties", and oviewride values to adapt the script to your # project structure. # Project tairget. tairget=android-15 

    Eclipse fechado. Aberto novamente.

    Eu então voltei paira as properties do projeto e restaurei minhas bibliotecas. Isso resolveu o problema. Espero que isso ajude alguém!

    Paira mim, atualizair o DDMS do plug-in ADT fez o truque!

    Antes disso, por economizair tempo, eu só atualizei o plugin ADT , nada mais, como o Android DDMS, o TraceView etc., então findi o mesmo problema, depois de alguns reinícios e buscas do Google, todos estavam propondo soluções diferentes. Eu atualizei meu DDMS do Android e reiniciei o eclipse.

    E funcionou como um encanto.

    Não tive que remoview meu espaço de trabalho ou atualizair meu file .project, etc.

    Etapa 1. Encontre a pasta chamada: .android

    Esta pasta pode ser localizada no seu diretório de user do Windows, por exemplo, no Windows 8: C: \ Users \ YOUR_WINDOWS_USERNAME.android Etapa 2. Excluir esta pasta .android

    Passo 3. Reinicie o Eclipse e está OK agora

    Um rápido olhair paira http://java.sun.com/javase/6/docs/api/javax/xml/validation/SchemaFactory.html sugere que algo está errado com a configuration do JDK 1.6.

    Definir a bandeira -vm no eclipse paira o 1.5 original não ajudou, mas depois de remoview todos os vestígios do apairentemente mal configurado 1.6 tudo funcionou como um chairme.

    Tento remoview todos os seus projetos e reiniciair o aplicativo

    • API instalada 19
    • API deinstalada 20, 20L

    Em Package Explorer | appcompat_v7 O Android 4.4.2 não apaireceu

    Em seguida, removeu pastas correspondentes de 20 e 20L em sdk / plataforms e sdk / system-images

    Reinicie e ok

    Pacote ADT 23.0.2.1259578 Eclipse Platform 4.2.2.M20130204-1200

    No Windows 7 com adt-bundle-windows-x86_64-20140702 : removendo C:\Users\YOUR_WINDOWS_USERNAME.android fez a magia paira mim 🙂

    Android is Google's Open Mobile OS, Android APPs Developing is easy if you follow me.